#include "../lib/rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/server/cutoff.c 178 2004-05-05 06:09:03Z kc $")

#include "server.h"

void server_cutoff(int i)
{
  DbUser db_user;

  read_socket_int(Client[i].socket, (int *) &Client[i].cutoff_priority);
  if(!get_db_user(&db_user, Client[i].uid))
    SERVER_ERROR("error accessing user information");
  db_user.cutoff_priority = Client[i].cutoff_priority;
  if(!put_db_user(Client[i].uid, &db_user)) 
    SERVER_ERROR("error storing user information");
  write_socket_code(Client[i].socket, SERVER_ACK);
  return;
}
