#include "../lib/rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/server/setmail.c 178 2004-05-05 06:09:03Z kc $")

#include "server.h"

void server_setmail(int i)
{
    char mail_address[LINE_SIZE];
    DbUser userinfo;

    read_socket_s(Client[i].socket, mail_address, sizeof(mail_address));
    if (DAEMON(Client[i].uid))
	SERVER_ERROR("permission denied");
    if (!get_db_user(&userinfo, Client[i].uid))
	SERVER_ERROR("error accessing user information");
    bcopy(mail_address, userinfo.mail_address, sizeof(userinfo.mail_address));
    if (!put_db_user(Client[i].uid, &userinfo))
	SERVER_ERROR("error storing user information");
    write_socket_code(Client[i].socket, SERVER_ACK);
}
