#include "../lib/rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/bb/add.c 178 2004-05-05 06:09:03Z kc $")

#include "bb.h"

void add(char *parameter)
{
  char room[ROOM_SIZE], group[GROUP_SIZE];
  boolean prompt_user;

  strcpy(group, get_group(parameter));
  if(!*group) prompt("group: ", group);
  if(!*group) return;
  prompt_user = !*parameter;
  do_connect();
  while((prompt_user && prompt("room: ", room) && *room) ||
	(!prompt_user && *(strcpy(room, getword(parameter))) != '\0'))
    if(client_group_add(group, strcpy(room, get_room(room)))) {
      fprintf(cmdout, "room %s added to group %s\n", room, group);
    } else {
      fprintf(stderr, "%s\n", client_error);
    }
}
