#include "../rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/lib/client/setname.c 178 2004-05-05 06:09:03Z kc $")

#include "header.h"

int client_setname(const char *new_id)
{
  int code;

  if(!valid_id(new_id)) {
    strcpy(client_error, "Invalid id");
    return 0;
  }
  block();
  write_server_code(CLIENT_SETNAME);
  write_socket_string(server_socket, new_id);
  read_server_code(&code);
  unblock();
  return code==SERVER_ACK;
}
