#include "../server/config.h"
#include "../server/server.h"
#include <ndbm.h>
#define OLDBASE (argv[1])
#define NEWBASE (argv[2])
#include <setjmp.h>

user_entry *old_get_user_entry(uid user);

int max_active_slot;
struct client_struct client[MAX_CLIENTS];
uid xuser;
jmp_buf Main_loop_env;

signal_t sigsegv()
{
  fprintf(stderr, "died on %d\n", xuser++);
  signal(SIGSEGV, sigsegv);
  longjmp(Main_loop_env, 0);
  return (signal_t) 0;
}

main(int argc, char *argv[])
{
  user_entry *user_info;
  char wd[80];
  char *flag = "< last uid >";
  uid last_uid;

  setlinebuf(stdout);
  setlinebuf(stderr);
  getwd(wd);
  signal(SIGSEGV, sigsegv);
  chdir(wd); chdir(OLDBASE);
  database_init();
  last_uid = get_uid(flag);
  setjmp(Main_loop_env);
  database_shutdown();
  for (xuser = 0; xuser<=last_uid; xuser++) {
    chdir(wd); chdir(OLDBASE);
    database_init();
    if(!(user_info = old_get_user_entry(xuser))) {
      fprintf(stderr, "can't get %d\n", xuser);
      database_shutdown();
      continue;
    }
    database_shutdown();
    chdir(wd); chdir(NEWBASE);
    database_init();
    if(!put_user_entry(xuser, user_info)) {
      fprintf(stderr, "can't put %d\n", xuser);
      database_shutdown();
      continue;
    }
    database_shutdown();
    printf("transfered %s (%d)\n", user_info->id, xuser);
  }
}
