#include "server.h"

void server_groupdirectory(int i)
{
  group_info *group_info;
  bb_gid gid;

  if(Client[i].update_group_directory >= Group_directory_stamp) {
    write_socket_code(Client[i].socket, SERVER_NAK);
    return;
  }
  for(gid=0; gid <= Last_gid; gid++) {
    if(!(group_info = get_group_info(i, gid))) continue;
    if(READ_ACCESS(group_info->class) || client[i].owner) {
      write_socket_code(client[i].socket, SERVER_ACK);
      write_socket_string(client[i].socket, group_info->name);
      write_socket_string(client[i].socket, group_info->owner);
      write_socket_int(client[i].socket, group_info->default_class);
      write_socket_int(client[i].socket, group_info->max_expiration);
      write_socket_int(client[i].socket, group_info->priority);
      write_socket_int(client[i].socket, group_info->class);
      write_socket_int(client[i].socket, group_info->gid);
    }
  }
  write_socket_code(client[i].socket, SERVER_EOF);
}
