#include "../lib/rcsid.h"

RCS_ID("$Header: svn+ssh://kcase.org/Source/svn/kcase/tags/bb/2.6/server/reset.c 178 2004-05-05 06:09:03Z kc $")

#include "server.h"

void server_setcurrent(int i)
{
  int message;

  read_socket_int(Client[i].socket, &message);
  if(Client[i].rid == -1)
    SERVER_ERROR("no room selected");
  if(message < 0) {
    DbRoom *db_room;
    int new, count, msg_index;

    count = - 1 - message;

    if(!(db_room = get_db_room(Client[i].rid)))
      SERVER_ERROR("error accessing room summary");
    for(msg_index=db_room->directory->num_msgs - 1, new = 0;
	msg_index > 0 && new < count;
	msg_index--)
      if(!db_room->summary[msg_index]->header.deleted) new++;
    message = db_room->summary[msg_index]->number;
  }
  update_room_pointer(i, Client[i].rid, message);
  write_socket_code(Client[i].socket, SERVER_ACK);
}
